# -*- coding: utf-8 -*-
from __future__ import annotations

import datetime

import dateutil

DELTA = datetime.timedelta(microseconds=100_000)  # 100ms


def assert_datetimes_are_really_close(datetime1: datetime.datetime,
                                      datetime2: datetime.datetime,
                                      ):
    assert dateutil.utils.within_delta(datetime1, datetime2, DELTA)
